Foreman - Refactor #33607

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Refactor # 32408 (Closed): Use new DSL to define settings

Use new DSL to define Puppet settings
09/30/2021 02:03 PM - Ondfej Ezr

Status: Closed
Priority: Normal
Assignee: Ondrej Ezr
Category: Settings
Target version:
Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8802
Description

Associated revisions

Revision fb46acal - 10/26/2021 10:38 AM - Ondfej Ezr
Fixes #33607 - use setting DSL for Puppet category

History

#1 - 09/30/2021 02:05 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8802 added

#2 - 10/26/2021 10:38 AM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#3 - 10/26/2021 11:01 AM - Ondrej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|fb46aca18f935c3e7459565ddb2e3bb92{4931b0.
